**Full name**: projects.locations.indexes.removeDatapoints

Remove Datapoints from an Index.

### Endpoint

post `https://{service-endpoint}/v1/{index}:removeDatapoints`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`index` `string` Required. The name of the Index resource to be updated. Format: `projects/{project}/locations/{location}/indexes/{index}`

### Request body

The request body contains data with the following structure:
Fields `datapointIds[]` `string` A list of datapoint ids to be deleted.

### Response body

If successful, the response body is empty.

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `index` resource:

- `aiplatform.indexes.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).